Subject: RE: IBM alternative to PKI?

From: "Liaquat khan" <[email-masked]>
Date: Wed, 15 May 2002 19:10:11 -0000

This model came out of the work down by IBM and others as a part of the TIE
(Trust Infrastructure for Europe) project.  It is based on public key
cryptography, but looking at things from a slight different angle, i.e. from
the viewpoint of the RP. I need to be careful on how much I can say.
Although there maybe publicly available information out there somewhere.

Regards,
Liaquat Khan

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Dean Adams
Sent: Tuesday, May 14, 2002 8:32 AM
To: Peter Gutmann; [email-masked]; [email-masked]
Subject: RE: IBM alternative to PKI?

Thanks Peter,
	It was this sort of question that I really intended. Apologies for being so
vague.

Your theories may be correct on how this has been invented and put forward
to the UK government.  My understanding is that a UK IBM'er (Peter Dare) may
have proposed this new PKI alternative.
Any IBM'ers out there who can comment - provide further detail on this
model?

> -----Original Message-----
> From: Peter Gutmann [mailto:[email-masked]]
> Sent: 14 May 2002 08:41
> To: [email-masked]; [email-masked]; [email-masked]
> Subject: Re: IBM alternative to PKI?
>
>
> "Anders Rundgren" <[email-masked]> writes:
>
> >I do not know anything of e-Envoy but I do know a few things
> concerning PKI
> >and smart cards.  There are indeed commercial problems
> associated with smart
> >cards.  But does it get better by introducing yet another type
> of card and
> >credentials?
>
> Does anyone know exactly what this new solution is?  With the
> size of IBM, the
> news story could quite easily translate into "Some random corner
> of IBM, under
> the impression that another far-flung corner of said company had
> something cool
> to offer, have tried to sell said something to the UK government,
> and are now
> frantically trying to find out what it is they've sold them".
>
> (I've seen some research papers on an XML-based PKI-avoiding
> system which might
> fit the bill, but who knows what the story is really talking about).
>
> Peter.
>
>
____________________________________________________________
Dean Adams               mobile:         +44 (0)7989 385914
Trustis Limited          Direct Tel/Fax: +44 (0)1252 734320
49 Whitehall             Office Tel:     +44 (0)20 7451 1490
London SW1A 2BX          Office Fax:     +44 (0)20 7484 7961
email: [email-masked]    Web: http://www.trustis.com
____________________________________________________________
The information in this message is confidential.  It is intended solely for
the addressee.  Access to this message by anyone else is unauthorised.  If
you are not the intended recipient, any disclosure, copying, distribution or
any action taken or omitted to be taken in reliance on it, is prohibited and
may be unlawful.

Any attachments to this message have been checked for viruses, but please
rely on your own virus checker and procedures.

If you contact us by e-mail, we may store your name and address to
facilitate communications.

---

From: "Anders Rundgren" <[email-masked]>
Date: Thu, 16 May 2002 14:53:50 +0200

Liaquat

>the viewpoint of the RP. I need to be careful on how much I can say.

You just triggered my curiosity!

Is it fundamentally different to 3D Secure and SAML?  I.e. schemes
where the client authenticates to a server-based PKI-thing that does
the actual work (signs resp. creates auth*).

Anders